---
title: Tür
description: 
published: 1
date: 2024-01-16T20:23:49.077Z
tags: automation, urgent, wip
editor: markdown
dateCreated: 2023-06-06T16:57:43.761Z
---

# Tür

## todos
- [ ] software verlinken
- [ ] alte und neue informationen hinzufügen (eventuell auch bilder)
  - [ ] [tür (alt)](/Archiv/tür)
  - [ ] [tür3 (alt)](/Archiv/tür3)
- [ ] mehr infos zu
  - [ ] rfid
  - [ ] wie es funktioniert
  - [ ] space api
  
## SickSpace
Haupteingang: Schillerstraße

### Handy einrichten
#### Android
aus fdroid connectbot oder eine andere ssh app deiner wahl installieren

profile anlegen für
```bash
outdoor@door.flipdot.space # Haustür
opendoor@door.flipdot.space # Wohnungstür
```

ein key generieren und public key exportieren

### Zugang erhalten
account im [LDAP](/Archiv/ldap) erstellen lassen

vorstand muss `member` flag bestätigen.

### Zugang einrichten
auf <https://ldap.flipdot.space> einloggen und den exportierten public key einfügen

das gerät muss dafür allerdings mit dem WLAN `security-by-obscurity` verbunden sein

(falls in firefox die domain nicht erreichbar ist, dann unter privacy&security secure DNS default oder off auswählen)

und einmal testen solange andere noch im space sitzen :)

## Nachrichtenmeisterei
Haupteingang: Tür in den Gang hinein

### Zugang erhalten
- Account im [LDAP](/Archiv/ldap) erstellen
- sollte funktionieren, sobald man im LDAP freigeschaltet ist

### Tür öffnen

#### Web
- <https://door.flipdot.space>

#### SSH

SSH-Public-Key auf <https://ldap.flipdot.space> eintragen, und dann

```
#!bash
ssh opendoor@door.fd
```
für die Innentür oder:
```
ssh outdoor@door.fd
```
für die Aussentür zum Hof.

#### RFID
sobald rfid in ldap eingetragen, sollte es funktionieren

### Wie es funktioniert
hardware:
 - pi
 - [eigene platine](https://gitlab.com/flipdot/door_lock_hw) (esp32)
 - elektromotor
 - [mechanik](https://www.thingiverse.com/thing:4042499)
software:
 - [pi](https://github.com/flipdot/door/tree/i2c)
 - [ESP32](https://gitlab.com/flipdot/door_lock_fw)
 
platine hat motortreiber

Kommunikation zwischen pi und esp32 mit i²c

auf pi läuft cronjob
alle 5 min per http holt sich ldap die ssh-keys und rfid-tags

#### space api
auf pi

### Besonderheiten
das Kabel ist so schwer (und kurz), 
dass es sich selbst von den Kontakten reißt, 
wenn es nicht sehr gut befestigt wird
- 2023-06-06 fix by @malled

### Alte Versionen
- [tür](/Archiv/tür)
- [tür 3](/Archiv/tür3)